import { renderless, api } from '@opentinyvue/vue-renderless/image/vue';
import { defineComponent, Teleport, props, setup } from '@opentinyvue/vue-common';
import ImageViewer from '@opentinyvue/vue-image-viewer';
import { iconImageError } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    ImageViewer,
    Teleport,
    TinyIconImageError: iconImageError()
  },
  emits: ["load", "error", "delete", "change-index"],
  props: [].concat(props, ["src", "fit", "lazy", "scrollContainer", "previewSrcList", "zIndex", "keepStyle", "showIndex", "appendToBody"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-image"
  }, [_vm.state.loading ? _vm._t("placeholder", function() {
    return [_c("div", {
      staticClass: "tiny-image__placeholder"
    })];
  }) : _vm.state.error ? _vm._t("error", function() {
    return [_c("div", {
      staticClass: "tiny-image__error"
    }, [_c("tiny-icon-image-error"), _c("div", {
      staticClass: "tiny-image__error-text"
    }, [_vm._v(_vm._s(_vm.t("ui.image.loadFail")))])], 1)];
  }) : _c("img", _vm._b({
    staticClass: "tiny-image__inner",
    class: {
      "tiny-image__inner-center": _vm.state.getAlignCenter,
      "tiny-image__preview": _vm.state.getPreview
    },
    style: _vm.state.getImageStyle,
    attrs: {
      "src": _vm.state.src
    },
    on: {
      "click": _vm.clickHandler
    }
  }, "img", _vm.$attrs, false)), _c("teleport", {
    attrs: {
      "disabled": !_vm.appendToBody,
      "to": "body"
    }
  }, [_vm.state.getPreview && _vm.state.showViewer ? _c("image-viewer", {
    ref: "imageViewer",
    attrs: {
      "z-index": _vm.zIndex,
      "on-switch": _vm.handleSwitch,
      "on-close": _vm.closeViewer,
      "url-list": _vm.previewSrcList,
      "keep-style": _vm.keepStyle,
      "show-index": _vm.showIndex
    },
    scopedSlots: _vm._u([{
      key: "count",
      fn: function fn(slotScoped) {
        return [_vm._t("count", null, {
          "index": slotScoped.index
        })];
      }
    }], null, true)
  }) : _vm._e()], 1)], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
